.\"	$NetBSD: ciss.4,v 1.5 2008/05/28 17:53:25 tonnerre Exp $
.\"	Jonathan Stone, 2006.
.\"
.\"	derived from:
.\"	$OpenBSD: ciss.4,v 1.4 2006/01/07 21:55:02 brad Exp $
.\"	Michael Shalayeff, 2005. Public Domain.
.\"
.Dd May 28, 2008
.Dt CISS 4
.Os
.Sh NAME
.Nm ciss
.Nd HP/Compaq Smart ARRAY 5/6 RAID controllers
.Sh SYNOPSIS
.Cd "ciss* at pci? function ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the CISS interface implemented by fifth
and later generations of the HP/Compaq Smart ARRAY family of
controllers.
.Pp
The
.Tn CISS
interface is defined in the document entitled
.Rs
.%Q Compaq Computer Corporation
.%T "CISS Command Interface for SCSI-3 Support Open Specification, Version 1.04, Valence Number 1"
.%D 2000/11/27
.Re
.Pp
This driver supports several Compaq and HP controllers implementing
the CISS interface, including:
.Pp
.Bl -bullet -compact
.It
Compaq Smart Array 5300 version 1
.It
Compaq Smart Array 5300 version 2
.It
Compaq Smart Array 5i version 1
.It
Compaq Smart Array 5i version 2
.It
HP Smart Array 5312
.It
HP Smart Array 6i
.It
HP Smart Array 641
.It
HP Smart Array 642
.It
HP Smart Array 6400
.It
HP Smart Array 6400 EM
.It
HP Smart Array E200
.It
HP Smart Array E200i
.It
HP Smart Array P400
.It
HP Smart Array P400i
.It
HP Smart Array P600
.It
HP Smart Array P800
.It
HP Smart Array V100
.It
HP Smart Array 1 through 13
.El
.Pp
These controllers support RAID 0, RAID 1, RAID 5, JBOD,
and superpositions of those configurations.
.Pp
Although the controllers are actual RAID controllers,
the
.Nm
driver makes them look just like SCSI controllers.
All RAID configuration must be done through the controllers' BIOSes.
.Pp
Hardware from previous generations of this product family may be
supported by the
.Xr cac 4
driver.
.Sh SEE ALSO
.Xr bio 4 ,
.Xr cac 4 ,
.Xr intro 4 ,
.Xr pci 4 ,
.Xr scsi 4 ,
.Xr sd 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 3.1 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Michael Shalayeff Aq mickey@openbsd.org ,
and ported to
.Nx
by
.An Tonnerre Lombard Aq tonnerre@netbsd.org .
